import djclick as click
import structlog

from vbv_lernwelt.feedback.services import export_feedback

logger = structlog.get_logger(__name__)


@click.command()
@click.argument("course_session_id")
@click.option(
    "--save-as-file/--no-save-as-file",
    default=True,
    help="`save-as-file` to save the file, `no-save-as-file` returns bytes. Default is `save-as-file`.",
)
def command(course_session_id, save_as_file):
    # using the output from call_command was a bit cumbersome, so this is just a wrapper for the actual function
    export_feedback([course_session_id], save_as_file)
